    params ["","","", "_arguments"];
    _arguments params [["_bombClass", ""], ["_offset", [0,0,0]]];

    private _pos = [64, 64, 0.5];

    {
        if !(isPlayer _x) then {
            deleteVehicle _x;
        };
    } forEach nearestObjects [_pos, [], 5];

    hintSilent "";

    sleep 0.5;

    private _building = "Land_i_Barracks_V1_F" createVehicle [0,0,0];
    _building setPosATL _pos;

    testExplosive = _bombClass createVehicle [0,0,0];
    testExplosive setPosATL (_pos vectorAdd _offset);

    delayExplosive = time + 1;

    if !(isNil "draw3d_handler") then {
        removeMissionEventHandler ["Draw3D", draw3d_handler];
    };
    draw3d_handler = addMissionEventHandler ["Draw3D", {
        if ((isNil "testExplosive") || {isNull testExplosive}) exitWith {
            removeMissionEventHandler [_thisEvent, _thisEventHandler];
        };

        drawIcon3D ["\A3\ui_f\data\map\markers\handdrawn\dot_CA.paa", [1,1,1,1], ASLToAGL getPosASLVisual testExplosive, 1, 1, 45, (delayExplosive - time) toFixed 2, 1, 0.05, "TahomaB"];
    }];

    waitUntil {
        sleep diag_deltaTime;
        time > delayExplosive
    };

    testExplosive setDamage 1;

    private _timeout = time + 0.2;
    waitUntil {
        sleep diag_deltaTime;
        ((damage _building) > 0) || (time > _timeout)
    };

    hintSilent format["\n\nOffset:%1\n\nDamage:%2\n", _offset, damage _building];